Subject: bug#2889: ibuffer: sorting by KEY + secondary key (buffer name)

From: Lars Ingebrigtsen <[email-masked]>
Date: Mon, 30 Sep 2019 10:09:44 +0200

Jari Aalto <[email-masked]> writes:

> M-x ibuffer
> C-h m
>
> Sorting commands:
>
>   ',' - Rotate between the various sorting modes.
>   's i' - Reverse the current sorting order.
>   's a' - Sort the buffers lexicographically.
>   's f' - Sort the buffers by the file name.
>   's v' - Sort the buffers by last viewing time.
>   's s' - Sort the buffers by size.
>   's m' - Sort the buffers by major mode.
>
> SUGGESTION
>
> The commands currently sort by the KEY only.
>
> But it would be helpful if the sorting were done by secondary KEY too;
> the buffer name.

(I'm going through old bug reports that unfortunately didn't get any
response at the time.)

I think that would be surprising behaviour.  Currently the sorting
commands are "stable": That is, if you first reverse-sort by buffer
name, and then by size, all the buffers with identical size are then
reversed-sort by buffer name.

The proposed change would make that feature go missing, so I don't think
this would be a good change, and I'm closing this bug report.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no